> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/conversations-api/api-reference/conversations-management/get-conversation.md).

# Get conversation

## Get conversation

> Get a single conversation

```json
{"openapi":"3.0.3","info":{"title":"Conversations","version":"v1"},"tags":[{"name":"conversation","description":"Conversations are a collection of messages between two or more participants."}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"inbox.conversations.conversation":{"properties":{"accessibility":{"$ref":"#/components/schemas/inbox.conversations.accessibility"},"activeParticipantCount":{"format":"int32","type":"integer"},"assigneeId":{"format":"uuid","type":"string"},"attributes":{"additionalProperties":{"type":"string"},"type":"object"},"category":{"type":"string"},"channelId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"description":{"type":"string"},"directory":{"type":"string"},"featuredParticipants":{"items":{"$ref":"#/components/schemas/inbox.conversations.participant"},"type":"array"},"hasDraft":{"type":"boolean"},"id":{"format":"uuid","type":"string"},"inbox":{"$ref":"#/components/schemas/inbox.conversations.inbox_ref"},"initiatingParticipant":{"$ref":"#/components/schemas/inbox.conversations.participant"},"lastMessage":{"$ref":"#/components/schemas/inbox.conversations.last_message"},"lastMessageIncomingAt":{"format":"date-time","type":"string"},"lastMessageOutgoingAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"participants":{"items":{"$ref":"#/components/schemas/inbox.conversations.participant_ref"},"type":"array"},"pendingParticipantCount":{"format":"int32","type":"integer"},"platformStyle":{"$ref":"#/components/schemas/inbox.conversations.platform_style"},"privateAttributes":{"type":"string"},"read":{"type":"boolean"},"referral":{"$ref":"#/components/schemas/inbox.conversations.referral"},"resource":{"$ref":"#/components/schemas/inbox.conversations.resource"},"resourceUri":{"type":"string"},"starred":{"type":"boolean"},"status":{"$ref":"#/components/schemas/inbox.conversations.status"},"style":{"$ref":"#/components/schemas/inbox.conversations.conversation_style"},"summary":{"type":"string"},"tags":{"items":{"type":"string"},"type":"array"},"updatedAt":{"format":"date-time","type":"string"},"visibility":{"$ref":"#/components/schemas/inbox.conversations.visibility"}},"required":["id","name","style","visibility","accessibility","activeParticipantCount","status","channelId","createdAt","updatedAt","featuredParticipants","platformStyle"],"title":"Conversation","type":"object"},"inbox.conversations.accessibility":{"enum":["open","invite-only","request-to-join","private"],"type":"string"},"inbox.conversations.participant":{"properties":{"avatarUrl":{"type":"string"},"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"conversationId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"displayName":{"type":"string"},"id":{"type":"string"},"resourceUri":{"type":"string"},"status":{"$ref":"#/components/schemas/inbox.conversations.participant_status"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"},"updatedAt":{"format":"date-time","type":"string"}},"required":["id","type"],"title":"Conversation Participant","type":"object"},"inbox.conversations.participant_contact":{"properties":{"identifierKey":{"type":"string"},"identifierValue":{"type":"string"},"platformAddress":{"type":"string"},"platformAddressSelector":{"type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.participant_status":{"enum":["invited","pending","active","inactive"],"type":"string"},"inbox.conversations.participant_type":{"enum":["user","contact","agent","flow","bot","accessKey","channel","connector","collaborationAutomation"],"type":"string"},"inbox.conversations.inbox_ref":{"properties":{"id":{"format":"uuid","type":"string"},"identifier":{"type":"string"},"ownerId":{"format":"uuid","type":"string"},"ownerType":{"$ref":"#/components/schemas/inbox.inbox_owner_type"},"type":{"$ref":"#/components/schemas/inbox.inbox_type"}},"required":["type","id","identifier","ownerId","ownerType"],"type":"object"},"inbox.inbox_owner_type":{"enum":["user","group"],"type":"string"},"inbox.inbox_type":{"enum":["personal","shared","support"],"type":"string"},"inbox.conversations.last_message":{"properties":{"createdAt":{"format":"date-time","type":"string"},"draft":{"type":"boolean"},"id":{"format":"uuid","type":"string"},"preview":{"$ref":"#/components/schemas/inbox.conversations.message_preview"},"recipients":{"items":{"$ref":"#/components/schemas/channels.participants.contact"},"type":"array"},"sender":{"$ref":"#/components/schemas/inbox.conversations.message_sender"},"status":{"enum":["accepted","processing","sent","sending_failed","delivered","delivery_failed","deleted"],"type":"string"},"type":{"enum":["text","html","image","file","gif","location","carousel","list","section","authentication","action","comment"],"type":"string"}},"required":["id","type","preview","status","createdAt","draft"],"type":"object"},"inbox.conversations.message_preview":{"properties":{"text":{"type":"string"}},"type":"object"},"channels.participants.contact":{"properties":{"contactAnnotation":{"$ref":"#/components/schemas/channels.participants.contact_annotation"},"countryCode":{"type":"string"},"id":{"description":"The ID of the contact.","format":"uuid","type":"string"},"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber). For WhatsApp channels with BSUID support, use `whatsappbsuid` to send to a contact by their Business-Scoped User ID.","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"},"identifiers":{"description":"Additional identifiers to augment the contact during resolution.","items":{"$ref":"#/components/schemas/channels.participants.identifier"},"type":"array"},"platformAddress":{"description":"The resolved platform address used to deliver the message (e.g. phone number or email address).","type":"string"},"platformAddressSelector":{"description":"An expression that defines how we resolve the platform address from a contact. Optional override for the default resolution logic.","type":"string"},"receiverExpression":{"type":"string"},"receiverValue":{"type":"string"},"type":{"description":"The type of the receiver (e.g. to, cc, bcc for email).","type":"string"}},"type":"object"},"channels.participants.contact_annotation":{"description":"Annotations add extra information to a sender or receiver. For email messages, the name annotation overrides the display name.","properties":{"name":{"type":"string"}},"type":"object"},"channels.participants.identifier":{"properties":{"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber).","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.message_sender":{"allOf":[{"properties":{"email":{"type":"string"},"name":{"type":"string"}},"type":"object"},{"$ref":"#/components/schemas/inbox.conversations.participant"}]},"inbox.conversations.participant_ref":{"properties":{"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"id":{"type":"string"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"}},"required":["type","id"],"type":"object"},"inbox.conversations.platform_style":{"enum":["direct","email","direct-multiple","direct-threaded","group-multiple"],"type":"string"},"inbox.conversations.referral":{"properties":{"caption":{"type":"string"},"mediaType":{"type":"string"},"mediaUrl":{"type":"string"},"sourceId":{"type":"string"},"sourceType":{"type":"string"},"sourceUrl":{"type":"string"},"text":{"type":"string"},"timestamp":{"format":"date-time","type":"string"},"title":{"type":"string"},"username":{"type":"string"}},"required":["sourceId"],"type":"object"},"inbox.conversations.resource":{"properties":{"id":{"format":"uuid","type":"string"},"type":{"$ref":"#/components/schemas/inbox.conversations.resource_type"}},"required":["type","id"],"type":"object"},"inbox.conversations.resource_type":{"enum":["task","task-conversation","reimbursement","sales-lead","sales-opportunity","sales-account","expense","project"],"type":"string"},"inbox.conversations.status":{"enum":["deleted","active","closed","spam","archived"],"type":"string"},"inbox.conversations.conversation_style":{"enum":["default","directMessage","chatChannel","personalInbox","resource","groupInbox","support"],"type":"string"},"inbox.conversations.visibility":{"enum":["public","private","direct","group"],"type":"string"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"notFound":{"$ref":"#/components/responses/error.response.not_found"},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"conflict":{"$ref":"#/components/responses/error.response.conflict"},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."}}},"paths":{"/workspaces/{workspaceId}/conversations/{conversationId}":{"get":{"summary":"Get conversation","operationId":"getConversation","description":"Get a single conversation","tags":["conversation"],"responses":{"200":{"description":"The conversation was found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inbox.conversations.conversation"}}}},"404":{"$ref":"#/components/responses/notFound"},"409":{"$ref":"#/components/responses/conflict"}}}}}}
```

## Examples

{% tabs %}
{% tab title="Request" %}

```bash
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418" \
-H "Authorization: AccessKey abcd"
```

{% endtab %}

{% tab title="Response (200 - OK)" %}

```json
{
  "id": "907798f8-fd72-44d5-8042-fcc05c1bb570",
  "name": "test",
  "description": "",
  "status": "active",
  "visibility": "public",
  "accessibility": "open",
  "featuredParticipants": [
    {
      "id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
      "type": "contact",
      "status": "active",
      "displayName": "Lucas De Mitri",
      "avatarUrl": "",
      "contact": {
        "identifierKey": "emailaddress",
        "identifierValue": "john.doe@bird.com",
        "platformAddress": "john.doe@bird.com"
      }
    },
    {
      "id": "68b80b8d-8060-42df-bda3-73505a8fdb84",
      "type": "accessKey",
      "status": "active",
      "displayName": "My first email key",
      "avatarUrl": ""
    }
  ],
  "activeParticipantCount": 2,
  "pendingParticipantCount": 0,
  "initiatingParticipant": {
    "id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
    "type": "contact",
    "status": "active",
    "displayName": "John Doe",
    "avatarUrl": "",
    "contact": {
      "identifierKey": "emailaddress",
      "identifierValue": "john.doe@bird.com",
      "platformAddress": "john.doe@bird.com"
    }
  },
  "channelId": "cb4b1ebc-34e6-5a7a-a375-f6f2f131d88f",
  "lastMessage": {
    "id": "d578f436-b3b7-49e6-95c2-24b77bb4e7ce",
    "type": "text",
    "preview": {
      "text": "Hey, listen!"
    },
    "recipients": [
      {
        "type": "to",
        "id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
        "identifierKey": "emailaddress",
        "identifierValue": "john.doe@bird.com",
        "platformAddress": "john.doe@bird.com",
        "contactAnnotation": {
          "name": "John Doe"
        }
      }
    ],
    "status": "delivered",
    "sender": {
      "id": "68b80b8d-8060-42df-bda3-73505a8fdb84",
      "type": "accessKey",
      "status": "active",
      "displayName": "My first email key",
      "avatarUrl": ""
    },
    "createdAt": "2024-11-29T13:22:22.875Z"
  },
  "createdAt": "2024-11-25T19:31:47.264Z",
  "updatedAt": "2024-11-29T13:31:03.845Z",
  "platformStyle": "email"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/conversations-api/api-reference/conversations-management/get-conversation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
